Bug 19961 - Move template JavaScript to the footer: Patron card creator
Summary: Move template JavaScript to the footer: Patron card creator
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17858
  Show dependency treegraph
 
Reported: 2018-01-11 19:05 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19961: Move template JavaScript to the footer: Patron card creator (52.90 KB, patch)
2018-02-22 17:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19961: Move template JavaScript to the footer: Patron card creator (52.95 KB, patch)
2018-03-15 08:28 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 19961: Move template JavaScript to the footer: Patron card creator (53.01 KB, patch)
2018-03-25 17:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-11 19:05:48 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header.

This patch will do so for patron card creator templates.
Comment 1 Owen Leonard 2018-02-22 17:47:37 UTC
Created attachment 72096 [details] [review]
Bug 19961: Move template JavaScript to the footer: Patron card creator

This patch modifies the staff client patron card creator templates so
that JavaScript is included in the footer instead of the header.

Also changed: Removed "type" attribute from script tags.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.

- Creating and managing layouts
- Creating and managing card batches
- Creating and managing card templates
- Creating and managing printer profiles
- Creating and managing images
Comment 2 Jesse Maseto 2018-03-15 08:28:44 UTC
Created attachment 72904 [details] [review]
Bug 19961: Move template JavaScript to the footer: Patron card creator

This patch modifies the staff client patron card creator templates so
that JavaScript is included in the footer instead of the header.

Also changed: Removed "type" attribute from script tags.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.

- Creating and managing layouts
- Creating and managing card batches
- Creating and managing card templates
- Creating and managing printer profiles
- Creating and managing images

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Comment 3 Katrin Fischer 2018-03-25 17:14:02 UTC
Created attachment 73246 [details] [review]
Bug 19961: Move template JavaScript to the footer: Patron card creator

This patch modifies the staff client patron card creator templates so
that JavaScript is included in the footer instead of the header.

Also changed: Removed "type" attribute from script tags.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.

- Creating and managing layouts
- Creating and managing card batches
- Creating and managing card templates
- Creating and managing printer profiles
- Creating and managing images

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-03-26 20:37:10 UTC
Pushed to master for 18.05, thanks to everybody involved!